package com.kmall.api.dao;

import com.kmall.api.entity.UserCampMinusVo;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

/**
 * 用户满减满折表Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-06-13 15:19:58
 */
public interface ApiUserCampMinusMapper extends BaseDao<UserCampMinusVo> {
    UserCampMinusVo queryUserCampByOrderId(@Param("orderId") Long orderId);

    int cancelUserCampOrder(UserCampMinusVo vo);

    UserCampMinusVo queryCampByStoreTopicId(@Param("storeTopicId") Long storeTopicId);
}
